From: "Mark Wright" <gienah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/nlopt/
Date: Sun, 21 Jun 2020 14:11:49 +0000 (UTC) [thread overview]
Message-ID: <1592748688.6e291a9886c1bfd29640d8a59ead8015e38a3fd2.gienah@gentoo> (raw)
commit: 6e291a9886c1bfd29640d8a59ead8015e38a3fd2
Author: Mark Wright <gienah <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 21 14:11:28 2020 +0000
Commit: Mark Wright <gienah <AT> gentoo <DOT> org>
CommitDate: Sun Jun 21 14:11:28 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e291a98
sci-libs/nlopt: Remove python 2.7
As numpy-python2 is only for cases where it is not
possible to build with python 3.
Package-Manager: Portage-2.3.101, Repoman-2.3.22
Signed-off-by: Mark Wright <gienah <AT> gentoo.org>
sci-libs/nlopt/nlopt-2.6.2-r1.ebuild | 101 +++++++++++++++++++++++++++++++++++
1 file changed, 101 insertions(+)
diff --git a/sci-libs/nlopt/nlopt-2.6.2-r1.ebuild b/sci-libs/nlopt/nlopt-2.6.2-r1.ebuild
new file mode 100644
index 00000000000..e99f07d1cdf
--- /dev/null
+++ b/sci-libs/nlopt/nlopt-2.6.2-r1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit python-r1 cmake
+
+DESCRIPTION="Non-linear optimization library"
+HOMEPAGE="https://ab-initio.mit.edu/nlopt/"
+SRC_URI="https://github.com/stevengj/nlopt/archive/v${PV}.tar.gz"
+
+LICENSE="LGPL-2.1 MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+IUSE="cxx guile octave python static-libs test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ guile? ( dev-scheme/guile:* )
+ octave? ( sci-mathematics/octave )
+ python? (
+ ${PYTHON_DEPS}
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+ "
+DEPEND="
+ ${RDEPEND}
+ python? ( dev-lang/swig )
+ "
+
+src_prepare() {
+ cmake_src_prepare
+ use python && python_copy_sources
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DNLOPT_CXX=$(usex cxx)
+ -DNLOPT_FORTRAN=$(usex test)
+ -DNLOPT_GUILE=$(usex guile)
+ -DNLOPT_OCTAVE=$(usex octave)
+ -DNLOPT_PYTHON=$(usex python)
+ -DNLOPT_SWIG=$(usex python)
+ -DNLOPT_TESTS=$(usex test)
+ )
+ if use python; then
+ python_foreach_impl run_in_build_dir cmake_src_configure
+ fi
+ if use static-libs; then
+ mycmakeargs+=(
+ -DBUILD_SHARED_LIBS=OFF
+ )
+ BUILD_DIR="${S}_static-libs" run_in_build_dir cmake_src_configure
+ fi
+}
+
+src_compile() {
+ if use python; then
+ python_foreach_impl run_in_build_dir cmake_src_compile
+ fi
+ if use static-libs; then
+ BUILD_DIR="${S}_static-libs" run_in_build_dir cmake_src_compile
+ fi
+}
+
+src_test() {
+ do_test() {
+ local a f
+ cd "${BUILD_DIR}"/test
+ for a in {1..$(usex cxx 9 7)}; do
+ for f in {5..9}; do
+ ./testopt -a $a -o $f || die "algorithm $a function $f failed"
+ done
+ done
+ }
+ if use python; then
+ python_foreach_impl run_in_build_dir do_test
+ fi
+ if use static-libs; then
+ BUILD_DIR="${S}_static-libs" run_in_build_dir do_test
+ fi
+}
+
+nlopt_install() {
+ cmake_src_install
+ python_optimize
+}
+
+src_install() {
+ if use python; then
+ python_foreach_impl run_in_build_dir nlopt_install
+ fi
+ if use static-libs; then
+ BUILD_DIR="${S}_static-libs" run_in_build_dir dolib.a libnlopt.a
+ fi
+ local r
+ for r in */README; do newdoc ${r} README.$(dirname ${r}); done
+}
next reply other threads:[~2020-06-21 14:11 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-21 14:11 Mark Wright [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-08 10:59 [gentoo-commits] repo/gentoo:master commit in: sci-libs/nlopt/ Sam James
2024-11-08 3:54 Sam James
2024-09-28 14:43 Sam James
2024-06-04 20:21 Andrew Ammerlaan
2024-04-08 18:50 Andrew Ammerlaan
2024-03-02 14:55 Arthur Zamarin
2024-01-11 9:38 Sam James
2024-01-10 12:31 Jakov Smolić
2024-01-10 12:10 Sam James
2023-03-19 3:22 Sam James
2023-03-07 11:42 Sam James
2023-03-04 7:37 Arthur Zamarin
2023-02-24 11:24 Andrew Ammerlaan
2022-09-12 20:31 Michael Orlitzky
2022-09-12 20:31 Michael Orlitzky
2022-07-22 7:49 Agostino Sarubbo
2022-07-22 7:43 Agostino Sarubbo
2022-07-18 20:07 Sam James
2022-07-09 12:17 Agostino Sarubbo
2022-07-09 12:14 Agostino Sarubbo
2022-05-18 1:36 Michael Orlitzky
2021-10-25 17:20 Arthur Zamarin
2020-12-14 0:46 Sam James
2020-07-21 9:42 Andreas Sturmlechner
2020-07-21 9:33 Agostino Sarubbo
2020-07-21 8:48 Agostino Sarubbo
2020-06-22 1:41 Mark Wright
2020-06-21 14:11 Mark Wright
2020-06-21 4:54 Mark Wright
2020-01-22 21:50 Michał Górny
2020-01-16 7:03 Michał Górny
2017-04-20 16:41 David Seifert
2016-12-20 16:52 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1592748688.6e291a9886c1bfd29640d8a59ead8015e38a3fd2.gienah@gentoo \
--to=gienah@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox